<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'document',

    /*
     * Modules.
     */
    'modules'   => ['documents'],

    
    'documents'       => [
        'model' => [
            'model'                 => \Bixo\Document\Models\Documents::class,
            'table'                 => 'documents',
            'presenter'             => \Bixo\Document\Repositories\Presenter\DocumentsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'documentable_id',  'documentable_type',  'type',  'title',  'description',  'expiry_date',  'files',  'user_type',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'document/documents',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Document',
            'module'    => 'Documents',
        ],

    ],
];
