<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDocumentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: documents
         */
        Schema::create('documents', function ($table) {
            $table->increments('id');
            $table->integer('documentable_id')->nullable();
            $table->string('documentable_type', 50)->nullable();
            $table->string('type', 30)->nullable();
            $table->string('title', 200)->nullable();
            $table->text('description')->nullable();
            $table->date('expiry_date')->nullable();
            $table->text('files')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->integer('user_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('documents');
    }
}
