Lavalite package that provides document management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/document`.

    "bixo/document": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Document\Providers\DocumentServiceProvider::class,

And also add it to alias

    'Document'  => Bixo\Document\Facades\Document::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\DocumentTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Document\Providers\DocumentServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Document\Providers\DocumentServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Document\Providers\DocumentServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/document/{modulename}

**User**

    http://path-to-route-folder/user/document/{modulename}

**Public**

    http://path-to-route-folder/documents


### API endpoints

**List**

    http://path-to-route-folder/api/user/document/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/document/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/document/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/document/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/document/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/document/{modulename}/{slug}
    METHOD: GET